<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.moxi.mogublog.xo.mapper.AdminMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.moxi.mogublog.commons.entity.Admin">
        <id column="uid" property="uid"/>
        <result column="userName" property="userName"/>
        <result column="password" property="password"/>
        <result column="gender" property="gender"/>
        <result column="avatar" property="avatar"/>
        <result column="email" property="email"/>
        <result column="birthday" property="birthday"/>
        <result column="mobile" property="mobile"/>
        <result column="validCode" property="validCode"/>
        <result column="summary" property="summary"/>
        <result column="loginCount" property="loginCount"/>
        <result column="lastLoginTime" property="lastLoginTime"/>
        <result column="lastLoginIp" property="lastLoginIp"/>
        <result column="status" property="status"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        uid, userName, passWord, gender, avatar, email, birthday, mobile, validCode, summary, loginCount, lastLoginTime,
        lastLoginIp, status, createTime, updateTime
    </sql>

    <select id="getAdminByUid" resultType="com.moxi.mogublog.commons.entity.Admin">
        select * from t_admin where uid = #{uid}
    </select>

</mapper>
